Upgrading to jExperience 2.3.0

March 25, 2022

Upgrade path

jExperience 2.3.0 requires jCustomer 1.6.0, and since versions of jExperience 2.2.1 and below are not compatible with jCustomer 1.6.0, you will likely need to update both products.

For environments running jExperience 2.2.1, the recommended upgrade path is as-follow:

  • Upgrade to jExperience 2.2.2. If you were previously running jExperience 2.2.1, this upgrade should be seamless, as jExperience 2.2.2 does not introduce changes other than support for jCustomer 1.6.0 (in addition to supporting jCustomer 1.5.6+)
  • Upgrade to jCustomer 1.6.0.
  • Upgrade to jExperience 2.3.0 (this page)

Install jExperience 2.3.0 module and start it.

Get jExperience from the the Jahia store and install it from the administration / Modules and extensions panel. 

Or download and install the new version directly from the Modules and extensions panel if the store is available. 

jExperience-2.3.0 requires Jahia 8.1.0.0+ and jCustomer 1.6.0.

If you are already using jCustomer 1.6.0, you just need to execute the following steps:

  1. Upload and start jExperience 2.3.0 module as you would do for any other module.
  2. Remove all previous jExperience versions